% $Id: AuctioneerTest.oz,v 1.1 2008/11/14 21:51:26 leavens Exp leavens $
\insert 'Auctioneer.oz'
\insert 'TestingNoStop.oz'
declare
MyAer = {NewAuctioneer}
local Status1 Status2 Status3 Status4 in
   {Send MyAer bid(8 Status1)}
   {Send MyAer bid(17 Status2)}
   {Send MyAer bid(27 Status3)}
   {Send MyAer bid(24 Status4)}
   {Send MyAer stop}
   {Test Status1 '==' false}
   {Test Status2 '==' false}
   {Test Status3 '==' true}
   {Test Status4 '==' false}
end

MyAer2 = {NewAuctioneer}
local Status1 Status2 Status3 Status4
   Status5 Status6 Status7
in
   {Send MyAer2 bid(100 Status1)}
   {Send MyAer2 bid(15 Status2)}
   {Send MyAer2 bid(99 Status3)}
   {Send MyAer2 bid(99 Status4)}
   {Send MyAer2 bid(100 Status5)}
   {Send MyAer2 bid(100 Status6)}
   {Send MyAer2 bid(100 Status7)}
   {Send MyAer2 stop}
   % first of the highest bids wins
   {Test Status1 '==' true}
   {Test Status2 '==' false}
   {Test Status3 '==' false}
   {Test Status4 '==' false}
   {Test Status5 '==' false}
   {Test Status6 '==' false}
   {Test Status7 '==' false}
end

% Stopping with no bids
MyAer3 = {NewAuctioneer}
{Send MyAer3 stop}
% Bidding after an auction is over
{Test {Send MyAer3 bid(50 $)} '==' false}
